Instalando Qt5 no Slack Current

1. Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 30/09/2020 - 11:47h

estou tentando, mais uma vez, pelo sbopkg, instalar o qt5. Saída de erro foi

Configure summary:

Build type: linux-g++ (x86_64, CPU features: mmx sse sse2)
Configuration: sse2 sse3 ssse3 sse4_1 sse4_2 avx avx2 avx512f avx512bw avx512cd avx512dq avx512er avx512ifma avx512pf avx512vbmi avx512vl compile_examples enable_new_dtags f16c largefile nostrip shared release c++11 concurrent dbus reduce_exports reduce_relocations stl
Build options:
Mode ................................... release
Optimize release build for size ........ no
Building shared libraries .............. yes
Using C++ standard ..................... C++11
Using ccache ........................... no
Using gold linker ...................... no
Using new DTAGS ........................ yes
Using precompiled headers .............. no
Using LTCG ............................. no
Target compiler supports:
SSE .................................. SSE2 SSE3 SSSE3 SSE4.1 SSE4.2
AVX .................................. AVX AVX2 F16C
AVX512 ............................... F ER CD PF DQ BW VL IFMA VBMI
Build parts ............................ libs tools
Qt modules and options:
Qt Concurrent .......................... yes
Qt D-Bus ............................... yes
Qt D-Bus directly linked to libdbus .... yes
Qt Gui ................................. yes
Qt Network ............................. yes
Qt Sql ................................. yes
Qt Testlib ............................. yes
Qt Widgets ............................. yes
Qt Xml ................................. yes
Support enabled for:
Using pkg-config ....................... yes
QML debugging .......................... yes
udev ................................... yes
Using system zlib ...................... yes
Qt Core:
DoubleConversion ....................... yes
Using system DoubleConversion ........ no
GLib ................................... yes
iconv .................................. no
ICU .................................... yes
Logging backends:
journald ............................. no
syslog ............................... no
slog2 ................................ no
Using system PCRE2 ..................... yes
Qt Network:
getaddrinfo() .......................... yes
getifaddrs() ........................... yes
IPv6 ifname ............................ yes
libproxy ............................... no
OpenSSL ................................ no
Qt directly linked to OpenSSL ........ no
SCTP ................................... no
Use system proxies ..................... yes
Qt Gui:
Accessibility .......................... yes
FreeType ............................... yes
Using system FreeType ................ yes
HarfBuzz ............................... yes
Using system HarfBuzz ................ yes
Fontconfig ............................. yes
Image formats:
GIF .................................. yes
ICO .................................. yes
JPEG ................................. yes
Using system libjpeg ............... yes
PNG .................................. yes
Using system libpng ................ yes
EGL .................................... yes
OpenVG ................................. no
OpenGL:
Desktop OpenGL ....................... yes
OpenGL ES 2.0 ........................ no
OpenGL ES 3.0 ........................ no
OpenGL ES 3.1 ........................ no
Session Management ..................... yes
Features used by QPA backends:
evdev .................................. yes
libinput ............................... yes
INTEGRITY HID .......................... no
mtdev .................................. yes
tslib .................................. no
xkbcommon-evdev ........................ yes
QPA backends:
DirectFB ............................... no
EGLFS .................................. yes
EGLFS details:
EGLFS OpenWFD ........................ no
EGLFS i.Mx6 .......................... no
EGLFS i.Mx6 Wayland .................. no
EGLFS RCAR ........................... no
EGLFS EGLDevice ...................... yes
EGLFS GBM ............................ yes
EGLFS Mali ........................... no
EGLFS Raspberry Pi ................... no
EGL on X11 ........................... yes
LinuxFB ................................ yes
VNC .................................... yes
Mir client ............................. no
X11:
Using system-provided XCB libraries .. yes
EGL on X11 ........................... yes
Xinput2 .............................. yes
XCB XKB .............................. yes
XLib ................................. yes
XCB render ........................... yes
XCB GLX .............................. yes
XCB Xlib ............................. yes
Using system-provided xkbcommon ...... yes
Qt Widgets:
GTK+ ................................... yes
Styles ................................. Fusion Windows
Qt PrintSupport:
CUPS ................................... yes
Qt Sql:
DB2 (IBM) .............................. no
InterBase .............................. no
MySql .................................. yes
OCI (Oracle) ........................... no
ODBC ................................... no
PostgreSQL ............................. no
SQLite2 ................................ no
SQLite ................................. yes
Using system provided SQLite ......... yes
TDS (Sybase) ........................... no
Qt SerialBus:
Socket CAN ............................. yes
Socket CAN FD .......................... yes
QtXmlPatterns:
XML schema support ..................... yes
Qt QML:
QML interpreter ........................ yes
QML network support .................... yes
Qt Quick:
Direct3D 12 ............................ no
AnimatedImage item ..................... yes
Canvas item ............................ yes
Support for Qt Quick Designer .......... yes
Flipable item .......................... yes
GridView item .......................... yes
ListView item .......................... yes
Path support ........................... yes
PathView item .......................... yes
Positioner items ....................... yes
ShaderEffect item ...................... yes
Sprite item ............................ yes
Qt Gamepad:
SDL2 ................................... yes
Qt 3D:
Assimp ................................. yes
System Assimp .......................... no
Output Qt3D Job traces ................. no
Output Qt3D GL traces .................. no
Qt 3D GeometryLoaders:
Autodesk FBX ........................... no
Qt Wayland Drivers:
EGL .................................... yes
Raspberry Pi ........................... no
XComposite EGL ......................... yes
XComposite GLX ......................... yes
DRM EGL ................................ yes
libhybris EGL .......................... no
Qt Wayland Client ........................ yes
Qt Wayland Compositor .................... yes
Qt Bluetooth:
BlueZ .................................. yes
BlueZ Low Energy ....................... yes
Linux Crypto API ....................... yes
Qt Sensors:
sensorfw ............................... no
Qt Quick Controls 2:
Styles ................................. Default Material Universal
Qt Quick Templates 2:
Hover support .......................... yes
Multi-touch support .................... yes
Qt Positioning:
Gypsy GPS Daemon ....................... no
WinRT Geolocation API .................. no
Qt Location:
Geoservice plugins:
OpenStreetMap ........................ yes
HERE ................................. yes
Esri ................................. yes
Mapbox ............................... yes
MapboxGL ............................. no
Itemsoverlay ......................... yes
Qt Multimedia:
ALSA ................................... yes
GStreamer 1.0 .......................... yes
GStreamer 0.10 ......................... no
Video for Linux ........................ yes
OpenAL ................................. yes
PulseAudio ............................. yes
Resource Policy (libresourceqt5) ....... no
Windows Audio Services ................. no
DirectShow ............................. no
Windows Media Foundation ............... no
Qt WebEngine:
Embedded build ......................... no
Pepper Plugins ......................... yes
Printing and PDF ....................... yes
Proprietary Codecs ..................... no
Spellchecker ........................... yes
WebRTC ................................. yes
Using system ninja ..................... yes
ALSA ................................... yes
PulseAudio ............................. yes
System libraries:
re2 .................................. no
ICU .................................. no
libwebp and libwebpdemux ............. yes
Opus ................................. yes
ffmpeg ............................... no

Note: Also available for Linux: linux-clang linux-icc

Note: -headerdir is not a subdirectory of -prefix.
Note: -libdir is not a subdirectory of -prefix.
Note: -docdir is not a subdirectory of -prefix.

Note: Dropped compiler flags '-pthread' when detecting library 'glib'.

Note: Dropped compiler flags '-pthread' when detecting library 'gtk3'.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer'.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer_app'.

ERROR: Feature 'openssl-linked' was enabled, but the pre-condition '!features.securetransport && libs.openssl' failed.

ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.

qt5:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.


Any suggestions?


  


2. Re: Instalando Qt5 no Slack Current

João Batista
ryuuzaki42

(usa Slackware)

Enviado em 30/09/2020 - 18:52h

Olá,
Antes do erro, por que está compilando o qt5?

Ele já foi inserido por padrão

"l/qt5-5.13.2-x86_64-1.txz: Added.
Thanks to alienBOB."

http://www.slackware.com/changelog/current.php?cpu=x86_64


3. Re: Instalando Qt5 no Slack Current

edps
edps

(usa Slackware)

Enviado em 04/10/2020 - 19:01h


No Slackware -current já vem por padrão:

$ slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ installed ] - qca-qt5-2.3.1-x86_64-1
[ installed ] - qt5-5.15.1-x86_64-1
[ installed ] - qt5-webkit-5.212.0_alpha4-x86_64-3

You can search specific files using "slackpkg file-search file".


$ cat /etc/os-release
NAME=Slackware
VERSION="14.2"
ID=slackware
VERSION_ID=14.2
PRETTY_NAME="Slackware 14.2 x86_64 (post 14.2 -current)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:slackware:slackware_linux:14.2"
HOME_URL="http://slackware.com/"
SUPPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
BUG_REPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
VERSION_CODENAME=current
$



4. Re: Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 05/10/2020 - 20:12h

edps escreveu:


No Slackware -current já vem por padrão:

$ slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ installed ] - qca-qt5-2.3.1-x86_64-1
[ installed ] - qt5-5.15.1-x86_64-1
[ installed ] - qt5-webkit-5.212.0_alpha4-x86_64-3

You can search specific files using "slackpkg file-search file".


$ cat /etc/os-release
NAME=Slackware
VERSION="14.2"
ID=slackware
VERSION_ID=14.2
PRETTY_NAME="Slackware 14.2 x86_64 (post 14.2 -current)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:slackware:slackware_linux:14.2"
HOME_URL="http://slackware.com/"
SUPPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
BUG_REPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
VERSION_CODENAME=current
$


Eis o mistério, não encontro nada quando digito o mesmo comando:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

No package name matches the pattern.


Meu Slack era o 14.2 e migrei para o Current. Será que falta alguma configuração nos "mirrors" ou algum script?

Só vou sossegar quando resolver esse qt5....





5. Re: Instalando Qt5 no Slack Current

edps
edps

(usa Slackware)

Enviado em 05/10/2020 - 21:25h


lindbergluiz escreveu:

edps escreveu:


No Slackware -current já vem por padrão:

$ slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ installed ] - qca-qt5-2.3.1-x86_64-1
[ installed ] - qt5-5.15.1-x86_64-1
[ installed ] - qt5-webkit-5.212.0_alpha4-x86_64-3

You can search specific files using "slackpkg file-search file".


$ cat /etc/os-release
NAME=Slackware
VERSION="14.2"
ID=slackware
VERSION_ID=14.2
PRETTY_NAME="Slackware 14.2 x86_64 (post 14.2 -current)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:slackware:slackware_linux:14.2"
HOME_URL="http://slackware.com/"
SUPPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
BUG_REPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
VERSION_CODENAME=current
$


Eis o mistério, não encontro nada quando digito o mesmo comando:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

No package name matches the pattern.


Meu Slack era o 14.2 e migrei para o Current. Será que falta alguma configuração nos "mirrors" ou algum script?

Só vou sossegar quando resolver esse qt5....




Vc não tinha dito sobre essa migração, mas vamos lá... supondo que tenha alterado os mirrors pra release -current lá em /etc/slackpkg/mirrors.

Ainda assim não bastaria seguir (somente) os passos abaixo:

# slackpkg update for
# slackpkg update
# slackpkg upgrade-all

MAS SIM, executar também:

# slackpkg install-new
# slackpkg clean-system

O primeiro, instalará TODOS os novos pacotes da release, e será esse passo que puxará o NOVO PACOTE qt5.

Já o segundo removerá TODOS os pacotes obsoletos (que tenham sido removidos da árvore de diretórios da release).

Esteja atento ao segundo passo, porque TODOS os pacotes que não estejam em /etc/slackpkg/blackout serão removidos.

O que eu acho estranho é o slackpkg não encontrar o qt5, tem.certeza que está usando os mirrors da -current?


6. Re: Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 06/10/2020 - 02:50h

edps escreveu:


lindbergluiz escreveu:

edps escreveu:


No Slackware -current já vem por padrão:

$ slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ installed ] - qca-qt5-2.3.1-x86_64-1
[ installed ] - qt5-5.15.1-x86_64-1
[ installed ] - qt5-webkit-5.212.0_alpha4-x86_64-3

You can search specific files using "slackpkg file-search file".


$ cat /etc/os-release
NAME=Slackware
VERSION="14.2"
ID=slackware
VERSION_ID=14.2
PRETTY_NAME="Slackware 14.2 x86_64 (post 14.2 -current)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:slackware:slackware_linux:14.2"
HOME_URL="http://slackware.com/"
SUPPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
BUG_REPORT_URL="http://www.linuxquestions.org/questions/slackware-14/"
VERSION_CODENAME=current
$


Eis o mistério, não encontro nada quando digito o mesmo comando:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

No package name matches the pattern.


Meu Slack era o 14.2 e migrei para o Current. Será que falta alguma configuração nos "mirrors" ou algum script?

Só vou sossegar quando resolver esse qt5....




Vc não tinha dito sobre essa migração, mas vamos lá... supondo que tenha alterado os mirrors pra release -current lá em /etc/slackpkg/mirrors.

Ainda assim não bastaria seguir (somente) os passos abaixo:

# slackpkg update for
# slackpkg update
# slackpkg upgrade-all

MAS SIM, executar também:

# slackpkg install-new
# slackpkg clean-system

O primeiro, instalará TODOS os novos pacotes da release, e será esse passo que puxará o NOVO PACOTE qt5.

Já o segundo removerá TODOS os pacotes obsoletos (que tenham sido removidos da árvore de diretórios da release).

Esteja atento ao segundo passo, porque TODOS os pacotes que não estejam em /etc/slackpkg/blackout serão removidos.

O que eu acho estranho é o slackpkg não encontrar o qt5, tem.certeza que está usando os mirrors da -current?


Oi edps. Vamos por partes:

1) obrigado por sua ajuda.
2) eu já usava o comando slackpkg install-new
3) eu adicionei um espaço entre os comentários, no aquivo mirrors:

# Slackware64-current
#----------------------------------------------------------------
# USE MIRRORS.SLACKWARE.COM (DO NOT USE FTP - ONLY HTTP FINDS A NEARBY MIRROR)

https://mirrors.slackware.com/slackware/slackware64-current/

#


4) também estou usando o slackpkg+ e o slackpkgplus.conf ficou assim:

#alterações feitas por mim

SLACKPKGPLUS=on
#fim
REPOPLUS=( slackpkgplus restricted alienbob msb )

# Slackware 14.2 - i386.
#MIRRORPLUS['alienbob']=http://bear.alienbase.nl/mirrors/people/alien/sbrepos/14.2/x86/
#MIRRORPLUS['restricted']=http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/14.2/x86/
#MIRRORPLUS['msb']=http://slackware.org.uk/msb/14.2/1.16/x86/

# Slackware current - i386.
MIRRORPLUS['alienbob']=http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/
MIRRORPLUS['restricted']=http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/
MIRRORPLUS['msb']=http://slackware.org.uk/msb/14.2/latest/x86/

# use this to keep the slackpkg+ package updated to the latest stable release
MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg+/


5) a saída agora ficou assim:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ Status ] [ Repository ] [ Package ]
uninstalled slackware64 qca-qt5-2.3.1-x86_64-1
uninstalled(masked) extra qt5-5.15.1-x86_64-1_alsa
upgrade slackware64 qt5-5.9.6-x86_64-1alien --> qt5-5.15.1-x86_64-1
upgrade slackware64 qt5-webkit-5.9.1-x86_64-1alien --> qt5-webkit-5.212.0_alpha4-x86_64-3


6) Ao tentar rodar um app que usa o qt5 (MuseScore), a saída foi a seguinte:

bash-5.0# mscore
mscore: error while loading shared libraries: libQt5QmlModels.so.5: cannot open shared object file: No such file or directory


7) ao tentar instalar o MuseScore novamente, via sbopkg, o erro foi o seguinte:

/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 3 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 4 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 5 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 6 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 7 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 8 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 9 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 10 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 11 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 12 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 13 (>= sh_info of 3)
/usr/bin/ld: /usr/lib64/libQt5WebEngineCore.so.5.9.6: .dynsym local symbol at index 14 (>= sh_info of 3)
/usr/bin/ld: warning: libicui18n.so.56, needed by /usr/lib64/libQt5Core.so.5.9.6, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libicuuc.so.56, needed by /usr/lib64/libQt5Core.so.5.9.6, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libicudata.so.56, needed by /usr/lib64/libQt5Core.so.5.9.6, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `u_strToLower_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_getStandardName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_getAlias_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `uenum_next_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `u_strToUpper_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_setSubstChars_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_getTimeZoneDisplayName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_fromUnicode_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `u_errorName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `uenum_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_getDSTSavings_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_openTimeZoneIDEnumeration_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_setMillis_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucol_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucol_getSortKey_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_get_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucol_open_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_compareNames_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_clone_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_open_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucol_setAttribute_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_openCountryTimeZones_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_open_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_openTimeZones_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_countAliases_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_inDaylightTime_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_getAvailableName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_getDefaultName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucal_getDefaultTimeZone_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_toUnicode_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucol_strcoll_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_getMaxCharSize_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.9.6: undefined reference to `ucnv_countAvailable_56'
collect2: error: ld returned 1 exit status
make[3]: *** [bww2mxml/CMakeFiles/bww2mxml.dir/build.make:206: bww2mxml/bww2mxml] Error 1
make[3]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make[2]: *** [CMakeFiles/Makefile2:2373: bww2mxml/CMakeFiles/bww2mxml.dir/all] Error 2
make[2]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make[1]: *** [Makefile:171: all] Error 2
make[1]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make: *** [Makefile:50: release] Error 2


8) desta vez, eu dei os seguintes comandos:



# slackpkg update
# slackpkg upgrade-all
# slackpkg install-new



8) não rodei o
# slackpkg clean-system

pois não configurei ainda o blacklist.


7. Re: Instalando Qt5 no Slack Current

edps
edps

(usa Slackware)

Enviado em 06/10/2020 - 17:29h

lindbergluiz escreveu:

...

5) a saída agora ficou assim:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ Status ] [ Repository ] [ Package ]
uninstalled slackware64 qca-qt5-2.3.1-x86_64-1
uninstalled(masked) extra qt5-5.15.1-x86_64-1_alsa
upgrade slackware64 qt5-5.9.6-x86_64-1alien --> qt5-5.15.1-x86_64-1
upgrade slackware64 qt5-webkit-5.9.1-x86_64-1alien --> qt5-webkit-5.212.0_alpha4-x86_64-3



E que tal você executar um

# slackpkg upgrade qt5 qt5-webkit
# slackpkg install qca-qt5


???

Veja um exemplo de upgrade (aqui tenho um pacote obsoleto de propósito, porque é dependência do SoundKonverter), daí se eu executar um slackpkg upgrade pacote ele será atualizado:





Aqui como já estão instalados eu tenho que reinstalar (pacotes de mesma versão), daí se tento reinstalar o qt5 e qt5-webkit, automaticamente o qca-qt5 é puxado...




8. Re: Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 07/10/2020 - 15:03h

edps escreveu:

lindbergluiz escreveu:

...

5) a saída agora ficou assim:

bash-5.0# slackpkg search qt5

Looking for qt5 in package list. Please wait... DONE

The list below shows all packages with name matching "qt5".

[ Status ] [ Repository ] [ Package ]
uninstalled slackware64 qca-qt5-2.3.1-x86_64-1
uninstalled(masked) extra qt5-5.15.1-x86_64-1_alsa
upgrade slackware64 qt5-5.9.6-x86_64-1alien --> qt5-5.15.1-x86_64-1
upgrade slackware64 qt5-webkit-5.9.1-x86_64-1alien --> qt5-webkit-5.212.0_alpha4-x86_64-3



E que tal você executar um

# slackpkg upgrade qt5 qt5-webkit
# slackpkg install qca-qt5


???

Veja um exemplo de upgrade (aqui tenho um pacote obsoleto de propósito, porque é dependência do SoundKonverter), daí se eu executar um slackpkg upgrade pacote ele será atualizado:





Aqui como já estão instalados eu tenho que reinstalar (pacotes de mesma versão), daí se tento reinstalar o qt5 e qt5-webkit, automaticamente o qca-qt5 é puxado...



Oi edps. Antes de mais nada, muito grato por sua ajuda.

Ao tentar

# slackpkg upgrade qt5 qt5-webkit

obtive a seguinte saída:


bash-5.0# slackpkg upgrade qt5 qt5-webkit

Checking local integrity... DONE
Looking for qt5 qt5-webkit in package list. Please wait... DONE

No packages match the pattern for upgrade. Try:

/usr/sbin/slackpkg install|reinstall


Ao tentar # slackpkg install qca-qt5 obtive a saída:


bash-5.0# slackpkg install qca-qt5

Looking for qca-qt5 in package list. Please wait... DONE

No packages match the pattern for install. Try:

/usr/sbin/slackpkg reinstall|upgrade


Eis minha saída no comando slackpkg update


bash-5.0# slackpkg update

Updating the package lists...
Downloading...
force to download ChangeLog
ChangeLogs
2020-10-07 14:50:20 URL:https://mirrors.slackware.com/slackware/slackware64-current/ChangeLog.txt [957691/957691] -> "/tmp/slackpkg.em8ur9/ChangeLog.txt" [1]
Saving ChangeLog.txt from repository slackpkgplus ...

Repository restricted has no ChangeLog.txt.

Repository alienbob has no ChangeLog.txt.

Saving ChangeLog.txt from repository msb ...

2020-10-07 14:50:24 URL:http://slakfinder.org/slackpkg+/CHECKSUMS.md5 [2267/2267] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-slackpkgplus" [1]
2020-10-07 14:50:24 URL:http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/CHECKSUMS.md5 [3474/3474] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-restricted" [1]
2020-10-07 14:50:25 URL:http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/CHECKSUMS.md5 [218964/218964] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-alienbob" [1]
2020-10-07 14:50:26 URL:http://slackware.uk/msb/14.2/latest/x86/CHECKSUMS.md5 [27059/27059] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-msb" [1]
Files //var/lib/slackpkg/CHECKSUMS.md5.asc and /tmp/slackpkg.em8ur9/CHECKSUMS.md5.asc differ
Downloading...
Done.

No changes in ChangeLog.txt between your last update and now.
Do you really want to download all other files (y/N)? y

List of all files
2020-10-07 14:50:41 URL:https://mirrors.slackware.com/slackware/slackware64-current/patches/MANIFEST.bz2 [14/14] -> "/tmp/slackpkg.em8ur9/patches-MANIFEST.bz2" [1]
2020-10-07 14:50:54 URL:http://ftp.slackware-brasil.com.br/slackware64-current/slackware64/MANIFEST.bz2 [3867059/3867059] -> "/tmp/slackpkg.em8ur9/slackware64-MANIFEST.bz2" [1]
2020-10-07 14:50:56 URL:http://ftp.slackware-brasil.com.br/slackware64-current/extra/MANIFEST.bz2 [248410/248410] -> "/tmp/slackpkg.em8ur9/extra-MANIFEST.bz2" [1]
2020-10-07 14:50:57 URL:http://ftp.slackware-brasil.com.br/slackware64-current/pasture/MANIFEST.bz2 [127791/127791] -> "/tmp/slackpkg.em8ur9/pasture-MANIFEST.bz2" [1]
2020-10-07 14:50:58 URL:http://ftp.slackware-brasil.com.br/slackware64-current/testing/MANIFEST.bz2 [636658/636658] -> "/tmp/slackpkg.em8ur9/testing-MANIFEST.bz2" [1]
2020-10-07 14:50:59 URL:http://slakfinder.org/slackpkg+/MANIFEST.bz2 [578/578] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_slackpkgplus-MANIFEST.bz2" [1]
2020-10-07 14:51:00 URL:http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/MANIFEST.bz2 [32059/32059] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_restricted-MANIFEST.bz2" [1]
2020-10-07 14:51:01 URL:http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/MANIFEST.bz2 [1798807/1798807] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_alienbob-MANIFEST.bz2" [1]
2020-10-07 14:51:03 URL:http://slackware.uk/msb/14.2/latest/x86/MANIFEST.bz2 [200504/200504] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_msb-MANIFEST.bz2" [1]
Checksums
2020-10-07 14:51:05 URL:https://mirrors.slackware.com/slackware/slackware64-current/CHECKSUMS.md5 [970652/970652] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5" [1]
2020-10-07 14:51:05 URL:https://mirrors.slackware.com/slackware/slackware64-current/CHECKSUMS.md5.asc [163/163] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5.asc" [1]
2020-10-07 14:51:06 URL:http://slakfinder.org/slackpkg+/CHECKSUMS.md5.asc [455/455] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-slackpkgplus.asc" [1]
2020-10-07 14:51:06 URL:http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/CHECKSUMS.md5.asc [163/163] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-restricted.asc" [1]
2020-10-07 14:51:06 URL:http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/CHECKSUMS.md5.asc [163/163] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-alienbob.asc" [1]
2020-10-07 14:51:07 URL:http://slackware.uk/msb/14.2/latest/x86/CHECKSUMS.md5.asc [488/488] -> "/tmp/slackpkg.em8ur9/CHECKSUMS.md5-msb.asc" [1]
Package List
2020-10-07 14:51:10 URL:http://ftp.slackware-brasil.com.br/slackware64-current/FILELIST.TXT [1276069/1276069] -> "/tmp/slackpkg.em8ur9/FILELIST.TXT" [1]
Package descriptions
2020-10-07 14:51:11 URL:https://mirrors.slackware.com/slackware/slackware64-current/patches/PACKAGES.TXT [224/224] -> "/tmp/slackpkg.em8ur9/patches-PACKAGES.TXT" [1]
2020-10-07 14:51:14 URL:http://ftp.slackware-brasil.com.br/slackware64-current/PACKAGES.TXT [763080/763080] -> "/tmp/slackpkg.em8ur9/slackware64-PACKAGES.TXT" [1]
2020-10-07 14:51:15 URL:http://ftp.slackware-brasil.com.br/slackware64-current/extra/PACKAGES.TXT [46496/46496] -> "/tmp/slackpkg.em8ur9/extra-PACKAGES.TXT" [1]
2020-10-07 14:51:16 URL:https://mirrors.slackware.com/slackware/slackware64-current/pasture/PACKAGES.TXT [1477/1477] -> "/tmp/slackpkg.em8ur9/pasture-PACKAGES.TXT" [1]
2020-10-07 14:51:16 URL:http://linorg.usp.br/slackware/slackware64-current/testing/PACKAGES.TXT [4987/4987] -> "/tmp/slackpkg.em8ur9/testing-PACKAGES.TXT" [1]
2020-10-07 14:51:17 URL:http://slakfinder.org/slackpkg+/PACKAGES.TXT [625/625] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_slackpkgplus-PACKAGES.TXT" [1]
2020-10-07 14:51:17 URL:http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/PACKAGES.TXT [3756/3756] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_restricted-PACKAGES.TXT" [1]
2020-10-07 14:51:18 URL:http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/PACKAGES.TXT [284451/284451] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_alienbob-PACKAGES.TXT" [1]
2020-10-07 14:51:19 URL:http://slackware.uk/msb/14.2/latest/x86/PACKAGES.TXT [30258/30258] -> "/tmp/slackpkg.em8ur9/SLACKPKGPLUS_msb-PACKAGES.TXT" [1]
Formatting lists to slackpkg style...
Package List: using CHECKSUMS.md5 as source
Package descriptions


Será que há algum problema de configuração no slackpkg?



9. Re: Instalando Qt5 no Slack Current

edps
edps

(usa Slackware)

Enviado em 07/10/2020 - 18:14h


Cara, simplesmente tem alguma coisa errada que não está certa ai... Porque você não desabilita o slackpkg+ (basta trocar o on pelo off) na linha SLACKPKGPLUS, lá em /etc/slackpkg/slackpkgplus.conf?

Daí executa o slackpkg normalmente:

# slackpkg update gpg
# slackpkg update
# slackpkg upgrade-all


Eu não estou usando o slackpkg+, mas tenho uma cópia do último conf que usei, segue:

SLACKPKGPLUS=on
VERBOSE=2
ALLOW32BIT=off
USEBL=1
WGETOPTS="-c --timeout=20 --tries=2"
SEARCH_CLOG_INPARENT=on
CACHEUPDATE=off
GREYLIST=on
SENSITIVE_SEARCH=on
WW_FILE_SEARCH=on
SHOWORDER=package
DETAILED_INFO=none
STRICTGPG=on

PKGS_PRIORITY=( multilib )
TAG_PRIORITY=off

REPOPLUS=( slackpkgplus multilib alienbob restricted msb )

MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg+/
MIRRORPLUS['multilib']=http://www.slackware.com/~alien/multilib/current/
MIRRORPLUS['alienbob']=http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86_64/
MIRRORPLUS['restricted']=http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86_64/
MIRRORPLUS['msb']=http://slackware.uk/msb/current/latest/x86_64/


Numa última alternativa, você pode baixar os pacotes manualmente e atualiza-los via slackpkg:

# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/PyQt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qca-qt5-2.3.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-webkit-5.212.0_alpha4-x...
# upgradepkg *.t?z


* se isso vai quebrar o seu sistema, eu não sei, o que sei é que são os pacotes mais atuais para o qt5 no Slackware Current (vai que seu sistema não esteja atualizado?)

Querendo pesquisar os pacotes por conta própria, vá em:

https://packages.slackware.com/

Ou use:

# slackpkg search pacote
# slackpkg info pacote
# slackpkg file-search arquivo


No mais , não tenho mais como lhe ajudar, boa sorte, encerro aqui.


10. Re: Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 08/10/2020 - 19:53h


edps escreveu:


Cara, simplesmente tem alguma coisa errada que não está certa ai... Porque você não desabilita o slackpkg+ (basta trocar o on pelo off) na linha SLACKPKGPLUS, lá em /etc/slackpkg/slackpkgplus.conf?

Daí executa o slackpkg normalmente:

# slackpkg update gpg
# slackpkg update
# slackpkg upgrade-all


Eu não estou usando o slackpkg+, mas tenho uma cópia do último conf que usei, segue:

SLACKPKGPLUS=on
VERBOSE=2
ALLOW32BIT=off
USEBL=1
WGETOPTS="-c --timeout=20 --tries=2"
SEARCH_CLOG_INPARENT=on
CACHEUPDATE=off
GREYLIST=on
SENSITIVE_SEARCH=on
WW_FILE_SEARCH=on
SHOWORDER=package
DETAILED_INFO=none
STRICTGPG=on

PKGS_PRIORITY=( multilib )
TAG_PRIORITY=off

REPOPLUS=( slackpkgplus multilib alienbob restricted msb )

MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg+/
MIRRORPLUS['multilib']=http://www.slackware.com/~alien/multilib/current/
MIRRORPLUS['alienbob']=http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86_64/
MIRRORPLUS['restricted']=http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86_64/
MIRRORPLUS['msb']=http://slackware.uk/msb/current/latest/x86_64/


Numa última alternativa, você pode baixar os pacotes manualmente e atualiza-los via slackpkg:

# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/PyQt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qca-qt5-2.3.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-webkit-5.212.0_alpha4-x...
# upgradepkg *.t?z


* se isso vai quebrar o seu sistema, eu não sei, o que sei é que são os pacotes mais atuais para o qt5 no Slackware Current (vai que seu sistema não esteja atualizado?)

Querendo pesquisar os pacotes por conta própria, vá em:

https://packages.slackware.com/

Ou use:

# slackpkg search pacote
# slackpkg info pacote
# slackpkg file-search arquivo


No mais , não tenho mais como lhe ajudar, boa sorte, encerro aqui.


Na verdade, vc já me ajudou e muito!!!Todo o processo é muito educativo pra mim, e a solução do problema é só o fim do processo. Agradeço por cada comando. Acredito que seja configuração mesmo. Se eu conseguir, te digo o que foi. Agradeço mais uma vez.


11. Re: Instalando Qt5 no Slack Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 08/10/2020 - 21:41h

lindbergluiz escreveu:


edps escreveu:


Cara, simplesmente tem alguma coisa errada que não está certa ai... Porque você não desabilita o slackpkg+ (basta trocar o on pelo off) na linha SLACKPKGPLUS, lá em /etc/slackpkg/slackpkgplus.conf?

Daí executa o slackpkg normalmente:

# slackpkg update gpg
# slackpkg update
# slackpkg upgrade-all


Eu não estou usando o slackpkg+, mas tenho uma cópia do último conf que usei, segue:

SLACKPKGPLUS=on
VERBOSE=2
ALLOW32BIT=off
USEBL=1
WGETOPTS="-c --timeout=20 --tries=2"
SEARCH_CLOG_INPARENT=on
CACHEUPDATE=off
GREYLIST=on
SENSITIVE_SEARCH=on
WW_FILE_SEARCH=on
SHOWORDER=package
DETAILED_INFO=none
STRICTGPG=on

PKGS_PRIORITY=( multilib )
TAG_PRIORITY=off

REPOPLUS=( slackpkgplus multilib alienbob restricted msb )

MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg+/
MIRRORPLUS['multilib']=http://www.slackware.com/~alien/multilib/current/
MIRRORPLUS['alienbob']=http://bear.alienbase.nl/mirrors/people/alien/sbrepos/current/x86_64/
MIRRORPLUS['restricted']=http://bear.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86_64/
MIRRORPLUS['msb']=http://slackware.uk/msb/current/latest/x86_64/


Numa última alternativa, você pode baixar os pacotes manualmente e atualiza-los via slackpkg:

# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/PyQt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qca-qt5-2.3.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-5.15.1-x86_64-1.txz
# wget http://mirrors.slackware.com/slackware/slackware64-current/slackware64/l/qt5-webkit-5.212.0_alpha4-x...
# upgradepkg *.t?z


* se isso vai quebrar o seu sistema, eu não sei, o que sei é que são os pacotes mais atuais para o qt5 no Slackware Current (vai que seu sistema não esteja atualizado?)

Querendo pesquisar os pacotes por conta própria, vá em:

https://packages.slackware.com/

Ou use:

# slackpkg search pacote
# slackpkg info pacote
# slackpkg file-search arquivo


No mais , não tenho mais como lhe ajudar, boa sorte, encerro aqui.


Na verdade, vc já me ajudou e muito!!!Todo o processo é muito educativo pra mim, e a solução do problema é só o fim do processo. Agradeço por cada comando. Acredito que seja configuração mesmo. Se eu conseguir, te digo o que foi. Agradeço mais uma vez.


edps, deixa eu te relatar o que aconteceu. Finalmente deu certo.

BLACKLIST! Por algum motivo, em algum momento eu pus o qt5 e o qt5-webkit no blacklist. Lembro que quando dei o comando # slackpkg clean-system, ele desinstalou alguns aplicativos. Acho que coloquei o qt5 neste momento na blacklist. Só que, ao ler o cabeçalho do arquivo, vi que o que estiver lá não é instalado nem atualizado. Retirei da blacklist e ao rodar os comandos update, upgrade, etc ...deu tudo certo!!! (precisei pedir para instalar o qca-qt5, pois ao rodar o comando slackpkg search qt5, vi que o qca não estava instalado.

No fim, deu tudo certo. Já testei com o MuseScore (3.5), funcionando tudo normal (pela primeira vez, no SlackWare). Mas o MuseScore não rodou como root. Tive de rodar como usuário mortal.

Mais uma vez, obrigado edps!!!!!!!!!!!!!



12. Re: Instalando Qt5 no Slack Current

edps
edps

(usa Slackware)

Enviado em 09/10/2020 - 13:10h


lindbergluiz escreveu:
...
pois não configurei ainda o blacklist.


No seu 6º comentário, você tinha dito que não havia configurado, tivesse dado uma olhada já teria sido resolvido.

Mas que bom que deu tudo certo. :)








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts